﻿using Infragistics.WebUI.WebDataInput;
using System;
using System.Web.UI;

namespace WebImageButtonExample
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                this.txtSampleTextBox.Attributes.Add("onkeyup", "OnKeyUp(this);");
                txtSampleTextBox.Text = "something";
                Session.Add("State", true);
            }

        }

        protected void btnSwitchState_Click(object sender, ButtonEventArgs e)
        {
            bool state = (bool) Session["State"];

            bool newState = !state;
            btnSample.Enabled = newState;

            if (newState)
            {
                txtSampleTextBox.Text = "something";
                btnSample.Text = "Enabled";
            }
            else
            {
                txtSampleTextBox.Text = "";
                btnSample.Text = "Disabled";
            }
            Session["State"] = newState;
        }
    }
}